import httpClient from '@/services/http'
import { CommonFetchOptions } from '@/services/http/types'

/**
 * 通知公告-->发布通知公告
 */
export function noticemsgadd(options: CommonFetchOptions<{ request: Partial<Notice.NoticeMsgAddReq>; }>) {
    return httpClient.commonRequest('/notice/noticemsgadd', 'post', options)
}

/**
 * 通知公告-->发布通知公告-->修改
 */
export function noticemsgedit(options: CommonFetchOptions<{ request: Partial<Notice.NoticeMsgAddReq>; }>) {
    return httpClient.commonRequest('/notice/noticemsgedit', 'post', options)
}

/**
 * 通知公告-->公告通知管理-->获取列表
 */
export function query(options: CommonFetchOptions<{ request: Notice.QueryReq; response: Notice.QueryRsp[]; }>) {
    return httpClient.commonRequest('/notice/query', 'get', options)
}

/**
 * 通知公告-->公告通知管理-->详情
 */
export function noticeMsgDetail(options: CommonFetchOptions<{ request: Notice.NoticeMsgDetailReq; response: Notice.NoticeMsgDetailRsp; }>) {
    return httpClient.commonRequest('/notice/noticeMsgDetail', 'get', options)
}

/**
 * 通知公告-->公告通知管理-->审核
 */
export function auditMsg(options: CommonFetchOptions<{ request: Notice.AuditMsgReq; }>) {
    return httpClient.commonRequest('/notice/auditMsg', 'get', options)
}

/**
 * 通知公告-->公告通知管理-->强制弹出/取消强制弹出
 */
export function updateforcedisplay(options: CommonFetchOptions<{ request: Notice.UpdateForceDisplayReq; }>) {
    return httpClient.commonRequest('/notice/updateforcedisplay', 'get', options)
}

/**
 * 通知公告-->公告通知管理-->删除
 */
export function noticeDelete(options: CommonFetchOptions<{ request: Notice.NoticeDeleteReq; }>) {
    return httpClient.commonRequest('/notice/delete', 'get', options)
}

/**
 * 通知公告-->公告通知管理-->提前失效
 */
export function invalid(options: CommonFetchOptions<{ request: Notice.InvalidReq; }>) {
    return httpClient.commonRequest('/notice/invalid', 'get', options)
}

/**
 * 通知公告-->资讯栏目-->获取列表
 */
export function columnquery(options: CommonFetchOptions<{ request: Notice.ColumnQueryReq; response: Notice.ColumnQueryRsp[]; }>) {
    return httpClient.commonRequest('/notice/columnquery', 'get', options)
}

/**
 * 通知公告-->资讯栏目-->详情
 */
export function columnDetail(options: CommonFetchOptions<{ request: Notice.ColumnDetailReq; response: Notice.ColumnDetailRsp; }>) {
    return httpClient.commonRequest('/notice/columnDetail', 'get', options)
}

/**
 * 通知公告-->资讯栏目-->新增/修改
 */
export function dealcolumn(options: CommonFetchOptions<{ request: Partial<Notice.DealColumnReq>; }>) {
    return httpClient.commonRequest('/notice/dealcolumn', 'post', options)
}

/**
 * 通知公告-->资讯栏目-->删除
 */
export function columndelete(options: CommonFetchOptions<{ request: Notice.ColumnDeleteReq; }>) {
    return httpClient.commonRequest('/notice/columndelete', 'get', options)
}

/**
 * 通知公告-->资讯来源-->新增/修改
 */
export function dealcolumnsource(options: CommonFetchOptions<{ request: Notice.DealColumnSourceReq; }>) {
    return httpClient.commonRequest('/notice/dealcolumnsource', 'post', options)
}

/**
 * 通知公告-->资讯来源-->获取列表
 */
export function columnsourcequery(options: CommonFetchOptions<{ request: Notice.ColumnSourceQueryReq; response: Notice.ColumnSourceQueryRsp[]; }>) {
    return httpClient.commonRequest('/notice/columnsourcequery', 'get', options)
}

/**
 * 通知公告-->资讯来源-->详情
 */
export function columnsourceDetail(options: CommonFetchOptions<{ request: Notice.ColumnSourceDetailReq; response: Notice.ColumnSourceDetailRsp; }>) {
    return httpClient.commonRequest('/notice/columnsourceDetail', 'get', options)
}

/**
 * 通知公告-->资讯来源-->删除
 */
export function columnsourcedelete(options: CommonFetchOptions<{ request: Notice.ColumnSourceDeleteReq; }>) {
    return httpClient.commonRequest('/notice/columnsourcedelete', 'get', options)
}

/**
 * 通知公告-->资讯管理-->获取列表
 */
export function informManquery(options: CommonFetchOptions<{ request: Notice.InformManqueryReq; response: Notice.InformManqueryRsp[]; }>) {
    return httpClient.commonRequest('/notice/informManquery', 'get', options)
}

/**
 * 通知公告-->资讯管理-->初始化类型列表
 */
export function informManinit(options: CommonFetchOptions<{ response: Notice.InformManinitRsp; }>) {
    return httpClient.commonRequest('/notice/informManinit', 'get', options)
}

/**
 * 通知公告-->资讯管理-->新增/修改
 */
export function dealinform(options: CommonFetchOptions<{ request: Partial<Notice.DealInformReq>; }>) {
    return httpClient.commonRequest('/notice/dealinform', 'post', options)
}

/**
 * 通知公告-->资讯管理-->详情
 */
export function informDetail(options: CommonFetchOptions<{ request: Notice.InformDetailReq; response: Notice.InformDetailRsp; }>) {
    return httpClient.commonRequest('/notice/informDetail', 'get', options)
}

/**
 * 通知公告-->资讯管理-->展示/不展示
 */
export function isshow(options: CommonFetchOptions<{ response: Notice.IsShowReq; }>) {
    return httpClient.commonRequest('/notice/isshow', 'get', options)
}

/**
 * 通知公告-->资讯管理-->审核
 */
export function auditinform(options: CommonFetchOptions<{ response: Notice.AuditInformReq; }>) {
    return httpClient.commonRequest('/notice/auditinform', 'get', options)
}

/**
 * 通知公告-->资讯管理-->删除
 */
export function deleteinform(options: CommonFetchOptions<{ response: Notice.DeleteInformReq; }>) {
    return httpClient.commonRequest('/notice/deleteinform', 'get', options)
}

/**
 * 通知公告-->短信查询-->获取列表
 */
export function smsquery(options: CommonFetchOptions<{ request: Notice.SmsQueryReq; response: Notice.SmsQueryRsp[]; }>) {
    return httpClient.commonRequest('/notice/smsquery', 'get', options)
}

/**
 * 通知公告-->短信查询-->重新发送
 */
export function resend(options: CommonFetchOptions<{ request: Notice.ResendReq; }>) {
    return httpClient.commonRequest('/notice/resend', 'get', options)
}